<?
define('ROOT','../..');
define('ROOT_PATH', realpath((getenv('DOCUMENT_ROOT') && preg_match('#^'.preg_quote(realpath(getenv('DOCUMENT_ROOT'))).'#', realpath(__FILE__))) ? getenv('DOCUMENT_ROOT') : str_replace(dirname(@$_SERVER['PHP_SELF']), '', dirname(__FILE__))));
require_once(ROOT.'/.config.php');
///////////////////////////


$css=file_get_contents('../style.css');
$css.=file_get_contents('../images/icons/ico.css');
/* 
$files=@explode(',',$_GET['set']);
if(is_array($files) && count($files)>0) {
	foreach($files as $file) $css.=file_get_contents('../images/icons/ico.css');
}
*/

$css=preg_replace('/\s+/', ' ', $css);
$css=preg_replace('/\/\*.*?\*\//', '', $css);
$css=str_replace("\n"," ", $css);


ob_start('ob_gzhandler');
header("Content-Type: text/css");
header("Cache-Control: Public");
header("Expires: ".gmdate("D, d M Y H:i:s", strtotime("1 year"))." GMT");
header("ETag: '".md5($css).'"');
echo $css;
?>